<!DOCTYPE html>
<html>
    <head>
        <meta charest="utf-8" />
        <title>Meeting protocol report</title>
        <style>
            body {
                margin: 0;
                font-family: 'Arial', sans-serif;
            }
            table { 
                text-align: center;
                font-size: 7pt;
                width: 100%;
                table-layout:fixed;
                border: 1px solid black;
                border-collapse: collapse;
            }
            .table-80p 
             {
                text-align: center;
                width: 80%;
                table-layout: fixed;
                border: 1px solid black;
                border-collapse: collapse;
                margin-bottom: 30px !important;
            }
            td { 
                padding: 2px;
                border: 1px solid black;
            }
            tr {
                position: relative;
            }
            th {
                background-color: gray;
                padding: 3px;
                border: 1px solid black;
            }
            hr {
                width: 80%;
                margin: 10px, auto;
                border: 1px solid black;
                border-collapse: collapse;
                padding: 0;
            }
            .page {
                margin-top: 15px;
                font-size: 8pt;
            }
            .footer {
                margin-top: 20px;
                padding: 0;
            }
            .footer-line-center {
                text-align: center;
                margin: 0;
                padding: 0;
            }
            .footer-line {
                margin: 0;
                padding: 0;
            }
            .header {
                font-size: 7pt;
            }
            .header-line {
                margin: 0;
                padding: 0;
            }
            .head-title-line {
                text-decoration: underline;
                font-weight: bold;
                font-size: 8pt;
                text-align: center;
                margin: 0;
                padding: 1px;
            }
            .td-15p {
                width: 15%;
            }
            .td-60p {
                width: 60%;
            }
            .description {
                display: block;
                text-align: left;
            }
            li {
                list-style-type: none;
                word-wrap: break-word;
            }
            li:before {
                content: "- ";
            }
            .td-v-align-bottom {
                vertical-align: bottom;
            }
            .area {
                white-space: pre-wrap !important;
            }
            .right-area {
                text-align: right;
                white-space: pre-wrap !important;
            }
           </style>
    </head>
    <body>
        <hr>
        <div class="head-title-container">
            <p class="head-title-line">{{projectName}}</p>
            <p class="head-title-line">date: {{date}}</p>
            <p class="head-title-line">{{meetingType}}</p>
        </div>
        <div class= "page">
            <div class="table-content">
                <hp>attendees:</p>
                <table class="table-80p">
                    <tr>
                        <td>Name</td>
                        <td>Role And Company</td>
                    </tr>
                    {{#each attendees}}
                    <tr>
                        <td>{{this.name}}</td>
                        <td>
                            {{#if this.role}}
                                {{#if this.company}}
                                    {{this.role}}, {{this.company}}
                                {{else}}
                                    {{this.role}} {{this.company}}
                                {{/if}}
                            {{/if}}
                        </td>
                    </tr>
                    {{/each}}
                </table>
                <table>
                    <tr>
                        <th class="td-15p">Item type</th>
                        <th class="td-15p">Category</th>
                        <th class="td-60p">Description</th>
                        <th class="td-15p">Owner</th>
                        <th class="td-15p">Due date</th>
                    </tr>
                    {{#each actionItems}}
                    <tr>
                        <td class="td-15p">AI #{{this.id}}</td>
                        <td class="td-15p">{{this.category}}</td>
                        <td class="td-60p">
                            <div class="description">
                                <p>Background:</p>
                                <ul>
                                    <li>Opening date: {{this.description.background.openingDate}}</li>
                                    <li>{{this.description.background.itemDescription}}</li>
                                </ul>
                                <p>Comments:</p>
                                <ul>
                                    {{#each this.description.comments}}
                                        <li>{{this.discussionDate}}, {{this.commnetorRole}} - </li>
                                        {{#if ../../isRtl}}
                                            <p class="right-area" dir="rtl">{{this.comment}}</p>
                                        {{else}}
                                            <p class="area" >{{this.comment}}</p>
                                        {{/if}}
                                    {{/each}}
                                </ul>
                            </div>
                        </td>
                        <td class="td-15p">{{this.ownerRole}}</td>
                        <td class="td-15p td-v-align-bottom">{{this.dueDate}}</td>
                    </tr>
                    {{/each}}
                    {{#each informationItems}}
                    <tr>
                        <td class="td-15p">II #{{this.id}}</td>
                        <td class="td-15p">{{this.category}}</td>
                        <td class="td-60p">
                            <div class="description">
                                <p>Background:</p>
                                <ul>
                                    <li>Opening date: {{this.description.background.openingDate}}</li>
                                    {{#if ../isRtl}}
                                        <li><p class="right-area" dir="rtl">{{this.description.background.description}}</p></li>
                                    {{else}}
                                        <li><p class="area">{{this.description.background.description}}</p></li>
                                    {{/if}}
                                </ul>
                            </div>
                        </td>
                        <td class="td-15p">N/A</td>
                        <td class="td-15p">N/A</td>
                    </tr>
                    {{/each}}
                </table>
                <div class="footer">
                    <p class="footer-line-center">meeting creator and editor {{meetingCreatorName}}</p>
                    <p class="footer-line">Distribution list: attendees</p>                   
                </div>
            </div>
        </div>
    </body>
</html>